
package com.google.hadoop.examples;


// This scorer simply counts the number of times that the query string
// occurs in the document and emits it as the score.

public class SimpleScorer implements DocumentScorer{
	private String query;
	
	public Boolean SetQuery(String query){
		this.query = query;
		return true;
	}
	
	public float ScoreDocument(String document){
		int count = 0;
		int index = document.indexOf(this.query);
		while(index>-1)
		{
			count += 1;
			index = document.indexOf(this.query, index+1);
		}
		return count;
	}
}
